[Win32utils-devel] has anyone compiled win32-utils under mingw?

Luis Lavena luislavena at gmail.com
Tue May 30 00:54:47 EDT 2006


On 5/30/06, John-Mason P. Shackelford <jpshack at gmail.com> wrote:
> Since the 1.8.4 One-click installer is based on VC++ 6.0 which is no
> longer available, I am looking for alternative ways of building
> win32-utils so as avoid segfaults. Has anyone used MingGW
> successfully? When I run ruby extconf.rb from MSYS the resulting make
> file assumes that I am using VC++. Do I need to build ruby under MinGW
> first?

If Ruby is mswin32 (VC), you need VC to build extensions.

Building all with mingw32 will brake existing mswin32 binaries gem you
use, so be careful with that.

I have VC Toolkit 2003 bundled with platform SDK headers and libs. (14Mb 7zip).

I used it to build win32 gems for mongrel (and present no binary
compatibility issues with msvcrt).

Mail me off the list to send you a link for download. I could not
share it due non-distributing lincense of Platform SDK, but
peer-to-peer way of sharing is allowed.

Regards,

-- 
Luis Lavena
Multimedia systems
-
Leaders are made, they are not born. They are made by hard effort,
which is the price which all of us must pay to achieve any goal that
is worthwhile.
Vince Lombardi


More information about the win32utils-devel mailing list